// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start() {
        cc.color()
        this.node.off(cc.Node.EventType.MOUSE_DOWN)
        cc.systemEvent.emit('stopMusic')
    }

    // update (dt) {}

    onEnable() {
        this.node.removeAllChildren()
        // let one = new cc.Node()
        // one.removeFromParent()
        let one = new cc.Label()
        one
        // cc.audioEngine.setFinishCallback()
    }


}
